# {{ ansible_managed }}
# Disable all components except PostgreSQL
roles ['postgres_role']
repmgr['enable'] = false
consul['enable'] = false
prometheus['enable'] = false
alertmanager['enable'] = false
pgbouncer_exporter['enable'] = false
redis_exporter['enable'] = false
gitlab_exporter['enable'] = false

postgresql['listen_address'] = '{{ postgresql_listen_address }}'
postgresql['port'] = {{ postgresql_port }}

# Replace POSTGRESQL_PASSWORD_HASH with a generated md5 value
postgresql['sql_user_password'] = '{{ postgresql_password_hash }}'

# Replace XXX.XXX.XXX.XXX/YY with Network Address
# ????
postgresql['trust_auth_cidr_addresses'] = %w(127.0.0.1/32 {{ gitlab_application_server_ip_blocks }})

# Disable automatic database migrations
gitlab_rails['auto_migrate'] = false
